Irrlicht Engine: irr::IOSOperator Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::IOSOperator Class Reference

The Operating system operator provides operation system specific methods and informations. More...

`#include <IOSOperator.h>`

Inheritance diagram for irr::IOSOperator:

List of all members.

## Public Member Functions
virtual void | copyToClipboard (const c8 *text) const =0
| Copies text to the clipboard.
virtual const wchar_t * | getOperationSystemVersion () const =0
| Get the current operation system version as string.
virtual bool | getProcessorSpeedMHz (u32 *MHz) const =0
| Get the processor speed in megahertz.
virtual bool | getSystemMemory (u32 *Total, u32 *Avail) const =0
| Get the total and available system RAM.
virtual const c8 * | getTextFromClipboard () const =0
| Get text from the clipboard.
virtual | ~IOSOperator ()
| Destructor.

## Detailed Description

The Operating system operator provides operation system specific methods and informations.

Definition at line 14 of file IOSOperator.h.

## Constructor & Destructor Documentation

virtual irr::IOSOperator::~IOSOperator | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 19 of file IOSOperator.h.

## Member Function Documentation

virtual void irr::IOSOperator::copyToClipboard | ( | const c8 * | text | ) | const`[pure virtual]`

Copies text to the clipboard.

virtual const wchar_t* irr::IOSOperator::getOperationSystemVersion | ( |  | ) | const`[pure virtual]`

Get the current operation system version as string.

virtual bool irr::IOSOperator::getProcessorSpeedMHz | ( | u32 * | MHz | ) | const`[pure virtual]`

Get the processor speed in megahertz.

Parameters:

  | MHz | The integer variable to store the speed in.

Returns:
  True if successful, false if not

virtual bool irr::IOSOperator::getSystemMemory | ( | u32 * | Total,
|  | u32 * | Avail |
| ) |  |  | const`[pure virtual]`

Get the total and available system RAM.

Parameters:

  | Total,: | will contain the total system memory
  | Avail,: | will contain the available memory

Returns:
  True if successful, false if not

virtual const c8* irr::IOSOperator::getTextFromClipboard | ( |  | ) | const`[pure virtual]`

Get text from the clipboard.

Returns:
  Returns 0 if no string is in there.

The documentation for this class was generated from the following file:

- IOSOperator.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:02 2010 by Doxygen (1.6.2)